Issue #7808 has been updated by Hanmac (Hans Mackowiak).


does this patch break that ticket did? #6111

for debianoid system that support more than two architectures, /usr/lib32 and /usr/lib64 are not enough
so i wanted that ruby can be installed "/usr/lib/<arch>/ruby/<version>" like "/usr/lib/x86_64-linux-gnu/ruby/2.0.0"

i dont know if this breaks FHS
----------------------------------------
Bug #7808: [PATCH] Allow to install arch specific code into different location then nonarch
https://bugs.ruby-lang.org/issues/7808#change-36065

Author: vo.x (Vit Ondruch)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: ruby 2.0.0dev (2013-02-08 trunk 39161) [x86_64-linux]


Due to recent changes in configuration, it is pretty easy to allow install architecture specific code into different location (/usr/lib64) then nonarch code (/usr/share) and thus provide better compliancy with FHS [1]. Could you please consider accepting this patch? We are carrying similar patch in Fedora already for ages.

[1] http://www.pathname.com/fhs/pub/fhs-2.3.html


-- 
http://bugs.ruby-lang.org/